e2fsprogs (1.47.2-3ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 03 Sep 2025 17:46:20 +0000

e2fsprogs (1.47.2-3ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Jun 2025 15:13:43 +0200

e2fsprogs (1.47.2-3) unstable; urgency=medium

  * Fix a typo in fuse2fs.postrm which breaks /usr-move mitigation
    (Closes: #1107595)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 10 Jun 2025 14:59:29 -0400

e2fsprogs (1.47.2-2) unstable; urgency=medium

  * Fix integer overflow bug which resulted in fuse2fs failing to delete
    very large files (Closes: #1106241)
  * Fix an extent corruption bug which in very rare cases could result in
    data loss when resizing a file system or when fuse2fs is operating on
    that file system
  * Various man page cleanups
  * Add a Built-Using field to the e2fsck-static man page to honor a LGPL
    requirement documenting which version of glibc was used to build the
    e2fsck.static binary (Closes: #1106799)
  * Remove the physical address of the FSF from the debian/copyright
    file, addressing a Lintian warning.
  * Fix bug in debugfs when user passes invalid arguments to the
    e2freefrag command
  * Add range checks to "mke2fs -E <desc_size>"
  * Check to make the invalid value of 0 is not passed to "e2freefrag -c"
  * Fix "e2fsck -E unshare_blocks" to clear the shared_blocks flag when
    there are no shared blocks to clear
  * Fix mke2fs to disallow the verity feature without extents
  * Fix fuse2fs to reject renameat2 RENAME_EXCHANGE/RENAME_WHITEOUT
    instead of treating the request (wrongly) as a normal rename
  * Fix fuse2fs to set the timestamps for the new inode created by a mkdir
    or symlink request
  * Fix fuse2fs to clamp the timestamps written to the file system to fix
    a Y2038 bug as tested by fstests generic/402
  * Fix fuse2fs to handle the encoding of POSIX acl's correctly
  * Fix fuse2fs to return EOPNOTSUPP when a fallocate(2) mode is not supported
  * Fix fuse2fs to refuse mounting a file system with file system features
    that it doesn't know how to handle
  * Fix debugfs's dump and rdump commands to avoid looping forever when
    it runs across an I/O error or corupt filesystem metadata.
  * Fix debugfs's dirsearch command on big-endian systems.
  * Optimize ext2fs_extent_set_bmap() to avoid fragmenting the extent
    tree.  This fixes a problem where resize2fs is trying to relocate
    all of the blocks in a file leading to the extent tree doubling in
    size, and potentially leading to a corrupted extent tree.
  * Fix "e2fsck -n" to not abort when it trips across an EA inode which
    is not referenced by any inodes in the file system.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 09 Jun 2025 20:49:10 -0400

e2fsprogs (1.47.2-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Jan 2025 21:26:01 +0100

e2fsprogs (1.47.2-1) unstable; urgency=medium

  * New upstream version
  * Update Chinese, Czech, French, Malay, Polish, Romainian, Spanish,
    Swedish, and Ukrainian translations.
  * Teach dumpe2fs and e2mmpstatus to support LABEL= and UUID= specifiers
    since the e2mmpstatus man page claims those specifiers are supported.
  * Suppress mke2fs's "Creating regular file" message when the -q option
    is in force.
  * Add Suggests: libarchive13t64 to e2fsprogs (Closes: #1089085)
  * Decrease priority of e2fsprogs from required to important (Closes: 897277)
  * Fix resize2fs to update the checksums in blocks belonging to the
    orphan file if it needs to move them.
  * Fix e2fsck to clear the orphan file after processing it so that "e2fsck
    -E journal_only" doesn't leave the file system in a corrupted state.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 01 Jan 2025 00:30:02 -0500

e2fsprogs (1.47.2~rc1-2) unstable; urgency=medium

  * Fix fuseext2 transition to account for /usr-move (Closes: #1088838)
  * Fix orphan_file support on big endian systems.
  * Mke2fs will allow "-r 1" since fsarchiver uses it rather pointlessly
  * Allow building e2fsprogs without libarchive-dev installed to make life
    easier for bootstrapping for new Debian ports (Closes: #1078693)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 03 Dec 2024 23:40:01 -0500

e2fsprogs (1.47.2~rc1-1) unstable; urgency=medium

  * New upstream version
  * Remove the -r option from tune2fs and replace it with an extended
    option since most users will never need to request a file system
    suitable for pre-1995 1.2 version kernels and a typo will just end up
    confusing the user and leaving them with a file system missing most
    modern ext4 features, including no support for on-line resizing and no
    support for post-2038 timestamps.   (Closes: #1086603)
  * Add support for gnu.translator extended attrbutes in tar files fed to
    mke2fs -d.
  * Avoid a spurious failure in badblocks when -n or -w is specified
    twice.  (Closes: #1087341)
  * Fix a bug which caused e2fsck to skip checking a file system with the
    orphan_file feature if there are orphaned files which need to be
    cleaned up.
  * Fix a bug which caused tune2fs to corrupt a revision 0 file system
    when changing the inode size by updating the revision to the current
    standard revision supported by all Linux kernels since 1995.
  * Fix fuse2fs --helpfull so that it displays the full help message.
  * Allow resize2fs to perform an offline resize past the 256 TiB boundary
  * Fix unused parameter warnings for packages which including ext2fs.h.
    (Closes: #1082500)
  * Provide fuseext2 to replace the debian package src:fuse-umfuse-ext2.
    (Closes: #1085590)
  * Clean up groff warnings in man pages.  (Closes: #1086892, #1082787,
    #1072866, #1087898)
  * Document the orphan_file feature in the ext4(5) and tune2fs(8) man
    pages.  (Closes: #1073062)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 28 Nov 2024 23:35:35 -0500

e2fsprogs (1.47.1-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Jun 2024 11:33:08 +0200

e2fsprogs (1.47.1-1) unstable; urgency=medium

  * New upstream version
  * Clarify the lsattr and mklost+found man pages that they are applicable
    for ext2, ext3, and ext4 file systems and not just for ext2.  (Closes:
    #1041115)
  * Replace the build-depend on pkg-config with pkgconf to fix a Lintian
    warning.
  * E2fsck will now perform more consistency checks on EA (extended
    attribute value) inodes.
  * Fix a big where e2fsck could potentially leak an acl block when
    releasing an orphan inode.
  * Avoid a divide by zero crash in libext2fs if the container
    infrastructure, such as lxcfs, reports that the system has zero CPU's
    via sysconf(_SC_NPROCESSORS_CONF).

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 20 May 2024 15:28:06 -0400

e2fsprogs (1.47.1~rc2-1) unstable; urgency=medium

  * New upstream version
  * Update Chinese, Czech, French, Polish Romainian, Swedish, and
    Ukrainian translations
  * Fix libarchive support in mke2fs on mips64el (Closes: #1070042)
  * Fix e2scrub when the "systemctl" package is installed instead of
    systemd.  (Closes: #1070107)
  * Update to standards 4.7.0

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 20 May 2024 15:24:47 -0400

e2fsprogs (1.47.1~rc1-3) unstable; urgency=medium

  * Remove duplicated work in release notes
  * Fix resize2fs's calculation of free clusters in the last block group
    for file systems larger than 4TB
  * Fix FTBFS on Hurd caused by trying to install e2scrub's systemd unit
    files which aren't built since e2scrub isn't supported on Hurd
  * Don't build mke2fs with libarchive support on mips64el since a bug in
    libarchive only on that architecture causes a FTBFS due to the
    regression test suite failing.  (See Debian Bug 1070042 for more details)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 29 Apr 2024 21:57:42 -0400

e2fsprogs (1.47.1~rc1-1) unstable; urgency=medium

  * Re-enable metadata_csum_seed and orphan_file by default now that
    Debian Bookworm is released
  * New upstream version
  * Add support for post-2038 timestamps on platforms with 64-bit time_t.
  * Mke2fs -d can now support an input tar file if the libarchive library
    is available.
  * Install a udev rule to inihibit ext4 file systesm from being
    automounted by udisks.
  * Debugfs's 'hash' command has been enhanced to use the hash seed and
    algorithm from a superblock if a file system is opened and to display
    the hash seed and algorithm if the -v flag is given.
  * Teach mke2fs with a new extended options, root_perms, which overrides
    the permissions for the root directory for the new file system.
  * Preserve any error indicator in the superblock when replaying the
    journal so that a subsequent fsck can repair the file system afterwards.
  * Fix potential mke2fs failures when creating a file system with an
    orphan file when the storage device has a previous file system and
    does not support discard/trim commands.
  * E2fsck will clear the orphan_present feature silently in preen mode.
  * Fix potential checksum failures when performing an online resize when
    the mounted file system is actively modifying the superblock.
  * Fix a bug where a checksum failure in an htree directory can cause
    e2fsck's preen mode to abort unnecessarily.
  * Fix e2fsck's handling of an invalid symlink in an inline_data
    directory.
  * Fix e4crypt from issuing a spurious "success" error message when
    trying to set a policy on a non-directory.
  * Fix a potential infinite loop in debugfs's logdump command in some
    edge cases.
  * Fix e2fsck to correctly update quota usage after optimizing
    directories or deleting corrupted inodes.
  * Fix fuse2fs so that directories are created with the correct
    permissions instead of having the other and group write permissions
    masked off.
  * Fix a potential e2fsck divide by zero crash caused by a maliciously
    fuzzed file system.
  * Fix dumpe2fs to report free block ranges correctly for bigalloc file
    systems.
  * Fix resize2fs where resizing a bigalloc file system can result in the
    free cluster count in the last block group and the total free clusters
    count to be incorrect.
  * Avoid spurious e2scrub failures caused by trying to scrub file
    syustems that do not have the journal enabled, and by aborting scrub
    runs while upgrading the e2fsprogs package
  * Teach tune2fs to detect a file system which is mounted but is not
    mentioned in the mount namespace where tune2fs is run by treating a
    block device which is busy as if it is mounted.
  * If tune2fs can't find the mountpoint for a file system which is
    apparently mounted (perhaps because it's not present in the current
    mount namespace) when attempting to set the label or UUID in the
    superblock, fall back to the old method of modifying block device and
    silence printing any error messages.
  * If both the primary superblock and first block group's backup
    superblock are corrupted, e2fsck will now try additional backup
    superblocks if they are available.
  * Avoid mke2fs from creating an invalid file system with an insufficient
    number of inodes when creating a file system which is very small
    (100k), a block size of 1k, and an inode size of 256 bytes.
  * Fix a potential deadlock caused by e2fsck being run in Direct I/O mode
    with the threading optimization enabled.
  * Update and clarify various man pages.  (Closes: #1038286)
  * Add support for SOURCE_DATE_EPOCH environment variable
  * Improve resize2fs's performance by eliminating extra cache flushes.
  * Improve mke2fs's performance when zeroing a large number of inode
    table blocks (when lazy inode table initialization is not enabled) by
    batching calls to ext2fs_zero_blocks.
  * Use a safe_getenv function for all calls to fetch the environment
    variable in libext2fs.
  * Upgrade fuse2fs to use fuse v3.
  * Build the binaries using FORTIFY_SOURCE=3 for better hardening
  * Add Romainian translation.
  * Update Malay translation.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Fri, 26 Apr 2024 22:23:25 -0400

e2fsprogs (1.47.0-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * Version Provides and Breaks (thanks to Matthias Klose).

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 13 Mar 2024 07:20:06 +0100

e2fsprogs (1.47.0-2.4~exp1ubuntu4) noble; urgency=high

  * No change rebuild against libfuse2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:38:40 +0200

e2fsprogs (1.47.0-2.4~exp1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:33:00 +0000

e2fsprogs (1.47.0-2.4~exp1ubuntu2) noble; urgency=medium

  * Make the provides for the renamed packages versioned.
  * Break against the first version not building the t64 packages anymore.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Mar 2024 21:22:45 +0100

e2fsprogs (1.47.0-2.4~exp1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 12 Mar 2024 11:31:16 -0600

e2fsprogs (1.47.0-2.4~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Revert time64 transitions for libss2 and libcom-err2.
  * Enable dh_movetousr (DEP17). (Closes: #1060000)
    + Mitigate file loss in libext2fs2 -> libext2fs2t64 upgrade and /usr-move.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 10 Mar 2024 21:02:48 +0100

e2fsprogs (1.47.0-2.3ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Mar 2024 08:18:05 +0100

e2fsprogs (1.47.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix package names in d/*.shlibs.local. (Closes: #1065087)
  * Update sonames in d/libext2fs2t64.lintian-overrides.
  * Fix packages names in code for updating symbols fies in d/rules.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 01 Mar 2024 08:01:06 +1300

e2fsprogs (1.47.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir. (Closes: #1053111)

  [ Michael Hudson-Doyle ]
  * Account for changes in udevudevdir as well.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 23:40:42 +0000

e2fsprogs (1.47.0-2ubuntu1) mantic; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 26 Jul 2023 13:26:17 -0500

e2fsprogs (1.47.0-2) unstable; urgency=medium

  * Don't enable metadata_csum_seed and orhpan_file by default (Closes:
    #1031622, #1030939)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 04 Mar 2023 22:16:08 -0500

e2fsprogs (1.47.0-1ubuntu2) mantic; urgency=medium

  * Temporarily disable orphan_file by default, such that fsck from jammy
    can check ext4 created in mantic. Given the new incompat ext4 features
    that v5.15 & hwe kernels support, ideally e2fsprogs 1.47.0 should be
    SRUed into jammy. LP: #2025339

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 29 Jun 2023 10:14:32 +0100

e2fsprogs (1.47.0-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.
  * Disable the metadata_csum_seed feature again, as grub does not yet
    support it (Closes: #866603)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 17 Feb 2023 11:58:55 +0100

e2fsprogs (1.47.0-1) unstable; urgency=medium

  * New upstream version
  * Add support for the new orphan_file feature, which speeds up workloads
    that are deleting or truncating a large number files in parallel.
  * Mke2fs now enables the orphan_file and metadata_csum_seed feature.
  * Mke2fs now supports the extended option "assume_storage_prezeroed"
    which causes mke2fs to skip zeroing the journal and inode tables and
    to mark the inode tables as zeroed.
  * Tune2fs and e2label will more reliably modify the label and UUID for a
    mounted file system using new kernel ioctls.
  * Tune2fs can now disable the casefold feature after scanning all of the
    directories do not have the casefold flag set.
  * Fix a potential unbalanced mutex unlock when there is a short read
    while using the bounce buffer when using direct I/O.
  * Update to standards 4.6.2

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 06 Feb 2023 22:07:49 -0500

e2fsprogs (1.46.6-1) unstable; urgency=medium

  * New upstream version
  * NMU acknowledge (Closes: #1022096)
  * In line with v6.2 and later Linux kernel, the extended xattribute hash
    may be calculated using either the signed or unsigned char variant,
    but new xattr entries will be set using the unsigned variant.  Since
    this difference is only seen for extended attribute names that contain
    non-ASCII characters, the fact that we had a signed vs unsigned char
    dependency was not noticed for over two decades.
  * E2fsck will now check to make sure the journal inode does not have the
    encrypt flag set.
  * Fuse2fs now supports an offset=<bytes> option which allows
    operating on a file system image which is located starting at the
    specified offset from the beginning of the image.
  * Fix a deadlock bug in e2fsck's error handler when there are errors
    trying to write to the file system.
  * Fix a bug in tune2fs which could cause it to crash if device goes
    off-line just as it being opened.
  * Improve error messages issued by badblocks and tune2fs.
  * Fix a crash in badblocks when the user specifies an overly large
    number of blocks tested at a time in read/write or nondestructive
    mode.
  * Speed up e2fsck's clonning of multiply-claimed blocks so it is
    substantially faster on very large file systems.
  * Don't fail when the source directory for mke2fs -d doesn't support
    extended attributes.
  * Update Chinese, Czech, Dutch, French, German, Malay, Polish, Serbian,
    Spanish, Swedish, and Ukrainian translations.
  * Update the Debian policy compliance to 4.6.1.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 02 Feb 2023 00:38:18 -0500

e2fsprogs (1.46.6~rc1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert copyright files to machine-readable format, adding the missing
    licenses and copyright information  (Closes: #1022096)

 -- Bastian Germann <bage@debian.org>  Tue, 03 Jan 2023 14:31:18 +0100

e2fsprogs (1.46.6~rc1-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.
  * Dropped changes (applied in Debian):
    - 0001-tests-support-older-versions-of-timeout-in-r_corrupt
    - CVE-2022-1304.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 22 Nov 2022 15:15:27 +0100

e2fsprogs (1.46.6~rc1-1) unstable; urgency=medium

  * Trial upstream release for 1.46.6
  * Debugfs's ncheck command now allows the inode number to be surrounded
    by angle brackets
  * Debugfs -c no longer prints a scary message on startup
  * Resize2fs will round down the requested new file system size to the
    nearest cluster boundary when resizing bigalloc file systems
  * Avoid triggering udev in dumpe2fs and "resize2fs -P" for file systems
    with MMP enabled
  * Fix tune2fs so it will detect another device stealing the MMP sessions
    while rewriting metadata checksums.
  * Fix a bug where e2fsck could fail when specifying an undo file and an
    explicit superblock number
  * Fix e2image so it won't potentially loop forever for certain invalid
    file systems
  * Resize2fs now honors the E2FSPROGS_FAKE_TIME environment variable
  * Fix tune2fs, fuse2fs, and debugsfs to update j_tail_sequence when
    replaying the journal
  * Add additional bullet-proofing for very badly corrupted file systems
    (Addresses CVE-2022-1304)  (Closes: #1010263)
  * Check for and handle malloc() failures when computing the log filename
    in e2fsck and in the libss library
  * Tune2fs and e2fsck to accept pathames which include '=' characters
  * Update and clarify's chattr's man page and usage message
  * Fix tune2fs to avoid a crash if the journal replay fails and to make
    sure its exit status is non-zero if there is some failure.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 12 Sep 2022 08:27:55 -0400

e2fsprogs (1.46.5-2ubuntu2) kinetic; urgency=medium

  * SECURITY UPDATE: Out-of-bounds read/write vulnerability
    Issue leads to segmentation fault and possibly arbitrary code
    execution via a specially crafted filesystem.
    - debian/patches/CVE-2022-1304.patch: checks that all leaf nodes of
      file system contain at least one extent.
    - CVE-2022-1304

 -- Mark Esler <mark.esler@canonical.com>  Thu, 02 Jun 2022 22:03:15 -0500

e2fsprogs (1.46.5-2ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 08 Jan 2022 21:02:36 +0100

e2fsprogs (1.46.5-2) unstable; urgency=medium

  * Fix build on GNU/kFreeBSD (caused by the fact that the Debian port has
    an ancient version of coreutils, so the timeout program doesn't support
    the -v option.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 03 Jan 2022 23:48:13 -0500

e2fsprogs (1.46.5-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jan 2022 22:41:06 +0100

e2fsprogs (1.46.5-1) unstable; urgency=medium

  * New upstream release
  * Resize2fs will automatically drop one block group (128M) if that will
    allow a resize operation to succeed when it would have failed due to
    running afoul of the 2**32 inode count limit.
  * Fix resize2fs -P so it won't potentially loop forever when the file
    system is corrupted
  * E2fsck will now automatically update the block group checksum when
    fixing a problem in a block group descriptor
  * Fix error handling in the unix_io module which could cause e2fsck
    to deadlock in the face of I/O errors.
  * Fix a bug in e2fsck fast commit handling which could result it in
    crashing in some rare cases.
  * Fix e2fsck and tune2fs's handling of quota limits, which previously
    could get lost.
  * Correct the report header printed by debugfs's get_quota and
    list_quota commands.
  * Speed up off-line resizing of very large file system.
  * Fixed spelling mistakes in the mke2fs.conf man page.
  * Update Chinese, Malay, Serbian, Spanish, Swedish, and Ukrainian
    translations.
  * Update the Debian policy compliance to 4.6.0.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 30 Dec 2021 00:35:14 -0500

e2fsprogs (1.46.4-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Nov 2021 09:32:13 +0100

e2fsprogs (1.46.4-1) unstable; urgency=medium

  * New upstream release
  * Mke2fs now creates 256 byte inodes by default for all non-GNU Hurd
    file systems.   (Previously small file systems would be created
    using 128 byte inodes.)
  * The bigalloc feature is now considered supported when the cluster
    size is no more than 16 times the block size.
  * E2fsck now checks to make sure directory entries do not reference
    internal quota inodes.
  * E2image now includes the quota inodes when creating file system image,
    since they are part of the file system metadata.
  * E2fsck now properly accounts the quota usage of the project quota file.
  * Fix a regression so mke2fs can create a file system into non-existent
    file (Closes: #992094)
  * Fix mke2fs to correctly create Posix ACL's on big-endian systems when
    copying files from a directory hierarchy.
  * Fix FTBFS caused by test failures on big-endian systems.
    (Closes: #991922)
  * Fix FTBFS on GNU Hurd
  * Use WantedBy=multi-user.target in e2scrub_reap.service.
    (Closes: #991349)
  * Updated and clarified the resize2fs man page.  (Closes: #979411)
  * Update Czech, Dutch, French, Polish, Portuguese, and Swedish
    translations.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 18 Aug 2021 22:47:40 -0400

e2fsprogs (1.46.3-1ubuntu3) impish; urgency=medium

  * Restore mke2fs capability to create files adding patch

    - mke2fs: fix creating a file system image w/o a pre-existing file

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 30 Aug 2021 17:58:29 +0200

e2fsprogs (1.46.3-1ubuntu2) impish; urgency=medium

  * Fix failing tests on bigendian system (LP: #1939409)
    using upstream patches queued for 1.46.4:

    - e2fsck: fix f_baddotdir failure on big-endian systems
    - libext2fs: fix translation of Posix ACL's on big-endian systems

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 11 Aug 2021 19:04:33 +0200

e2fsprogs (1.46.3-1ubuntu1) impish; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Tue, 10 Aug 2021 10:07:26 +0200

e2fsprogs (1.46.3-1) experimental; urgency=medium

  * New upstream release
  * Fix resize2fs bug when performing an off-line file system expansion
    with MMP and there isn't sufficient reserved block group descriptor
    blocks could lead to file system corruption.  (Closes: #984472)
  * Teach the filefrag program the -V option, which will print the version
    of the tool, or if -V option is specified twice, will print the list
    of supported FIEMAP flags.
  * Fix fast_commit portability problems on sparc64 and arm64
    architectures (the latter when running e2fsprogs compiled for arm32).
    (Closes: #987641)
  * Fix missing mutex unlock in an error path in the Unix I/O manager.
  * Fix Direct I/O support in the Unix I/O manager (this was a regression
    introduced in v1.46.2).
  * Fix mke2fs to avoid discarding blocks beyond the end of the file
    system to be created when creating a file system which is smaller than
    16MB and the file system size was explicitly specified and smaller
    than the size of the block device.  (Closes: #989630)
  * Teach mke2fs to avoid giving a spurious warning about a pre-existing
    partition table and it is creating a file system at a non-zero offset
    (so the partition table wouldn't be overwritten in any case).
    (Closes: #989612)
  * Fix e2image -Q to prevent a multiplication overflow could corrupt
    the generated QCOW2 output file for very large file systems.
  * When e2fsck repairs '.' and '..' entries in corrupted directories, set
    the file type in the directory entry to be EXT2_FT_DIR and do not
    leave the file type as EXT2_FT_UNKNOWN.
  * Fix e2fsck so that the if the s_interval is zero, and the last mount
    or write time is in the future, it will fix invalid last mount/write
    timestamps in the superblock.  (This was a regression introduced in
    v1.45.5.)
  * Fix lsattr and chattr to avoid opening or calling EXT2_IOC_[GS]ETFLAGS
    on devices, since this can cause some devices to react badly as a
    result.  (This fixes a regression introduced in v1.46.2.)
    (Closes: #986332)
  * Fix potential memory leaks and seg faults when memory allocations fail.
  * Fix various compiler and valgrind warnings
  * Updated and clarified the e2image and filefrag man pages.
  * Update Dutch, Malay, and Serbian translations.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 27 Jul 2021 11:04:05 -0400

e2fsprogs (1.46.2-2) unstable; urgency=medium

  * Fix FTBFS on arm32 when building on a system with an arm64 kernel.
    This also fixes a portability problem when replaying a fast-commit
    journal on an arm64 kernel when using an arm32 userspace.
    (Closes: #987641)
  * Fix additional fast-commit portability problems on non-x86 systems
    which don't allow non-aligned pointer dereferences (for example, on a
    sparc64 system).
  * Fix a missing mutex unlock on an error path which can cause e2fsck
    to hang on I/O errors.
  * Clean up and improve the man page for e2image

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 07 Jun 2021 07:27:15 -0400

e2fsprogs (1.46.2-1ubuntu2) impish; urgency=medium

  * Apply upstream fix for unaligned memory access.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 May 2021 13:20:34 +0200

e2fsprogs (1.46.2-1ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 May 2021 14:31:18 +0200

e2fsprogs (1.46.2-1) unstable; urgency=medium

  * New upstream release
  * Add support for the FS_NOCOMP_FL flag to chattr and lsattr.
  * Fix Direct I/O support on block devices where the logical block size is
    greater 1k.
  * Fix debugfs's logdump so it works on file systems whose block size is
    greater than 8k.
  * Fix the debugfs rdump and ls commands so they will work correctly for
    uid's and gid's => 65536.
  * Teach the tune2fs program to support "random" as an argument to the -c
    option, which sets the maximum mount count.  (Closes: #926293)
  * Fix a where e2fsck could a crash when there is error while e2fsck is
    trying to open the file system, and e2fsck calls ext2fs_mmp_stop()
    before MMP has been initialized.  (Closes: #696609)
  * Fix the debugfs write and symlink commands so they support targets which
    contain a pathname (instead of only working when writing a file or
    creating a symlink in the current directory).
  * When resizing a small file systems to a super-large file system size,
    avoid issuing some scary bitmap operation warnings.
  * Improved error checking in the fast commit replay code in e2fsck.
  * Updated and clarified the chattr man page.
  * Update the Spanish translation from the translation project.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 28 Feb 2021 21:24:34 -0500

e2fsprogs (1.46.1-1) unstable; urgency=medium

  * Drop transitional packages libcomerr2, e2fslibs, and e2fslibs-dev
  * Fix a bug in libext2fs and debugfs when trying to set an extended
    attribute will result in a seg fault.
  * Fix e2fsck so it properly accepts large_dir directories which are
    greater than 4GB in size.
  * Fix mke2fs -d so it correctly handles important a directory or small
    file which is stored using inline_data and contains an ACL or extended
    attribute.   (Closes: #971014)
  * Add build profiles noudeb and pkg.e2fsprogs.no-static (Closes: #966686)
  * Update the Czech, French, Malay, Polish, Portuguese, Swedish, and
    Ukrainian translations from the translation project.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 09 Feb 2021 17:36:02 -0500

e2fsprogs (1.46.0-1) experimental; urgency=medium

  * New upstream release
  * Add support for the new fast_commit feature.  (Requires Linux version
    5.10 or higher)
  * Add support for the new stable_inodes feature which is needed to
    support some the fscrypt siphash algorithm.
  * Add support for file systems that have both case folding and
    encryption enabled.  (Not yet upstream, but used in some Android handsets.)
  * The fuse2fs program now supports the "norecovery" which omits replying
    the journal and mounts the file system read-only.  (Closes: #878927)
  * Bitmap loading is now done using multiple threads which can speed up
    debugfs, dumpe2fs, and e2fsck on very large file systems.
  * E2fsck now will check file names on file systems with case folding
    enabled to make sure the characters are valid UTF-8 characters.
    This is done for file systems which enforce strict encodings, and
    optionally if the extended "check_encoding" option is requested.
  * E2fsck will properly handle checking for duplicated file names when
    case folding is enabled.
  * E2fsck will now find and fix file system corruptions when the encrypted
    files have a different policy from their containing directory.
  * The "htree" command in debugfs now displays the metadata checksums for
    hash tree index blocks.
  * Fix various bugs where a maliciously corrupted file systems could case
    e2fsck and other e2fsprogs programs to crash.
  * Dumpe2fs will print the error code that Linux kernels newer than v5.6
    will save to indicate the class of error which triggered the ext4_error
    event.
  * E2fsprogs programs (in particular, fuse2fs) can now update htree
    directories without clearing the htree index.
  * Tune2fs will properly recalculate directory block checksums when
    clearing the dir_index feature.
  * Fix a bug in e2fsck directory rehashing which could fail with ENOSPC
    because it doesn't take into account the space needed for the metadata
    checksum, and doesn't create a sufficiently deep index tree.
  * Clarify the e2fsck messages when it resets the directory link count when
    it is set to the overflow value but it is no longer needed.
  * Mke2fs now sets the s_overhead_cluster field, so that the kernel doesn't
    need to calculate it at mount time.  This speeds up mounting very large
    file systems.
  * Speed up mke2fs when creating large bigalloc file systems by optimizing
    ext2fs_convert_subcluster_bitmap().
  * The filefrag program can now request the kernel to display the extent
    status cache by using "filefrag -E".  (This requires Linux version 5.4
    or newer.)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Fri, 29 Jan 2021 16:24:41 -0500

e2fsprogs (1.45.7-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:30:51 +0100

e2fsprogs (1.45.7-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 Jan 2021 12:37:12 -0800

e2fsprogs (1.45.7-1) unstable; urgency=medium

  * New upstream release
  * Mke2fs will now warn when creating a file system on a DAX-capable
    device and the block size is incompatible with DAX.
  * The chattr and lsattr programs now support using the 'x' attribute
    to set/get dax support on a particular file.
  * E2fsprogs now supports the gnu.* extended attribute namespace, which
    allows mke2fs -d to import the gnu.translator extended attributes.
  * Add support for the simultaneous enablement of the casefold and
    encryption features, which ext4 supports starting with the v5.5
    Linux kernel.
  * Debugfs will now retry opening the superblock if it finds that the
    superblock has an invalid checksum, since this could happen when
    opening a mounted file system.
  * Fix an off-by-one error when validating the depth of an htree which
    caused e2fsck to potentially fail to notice an invalid htree.
  * Fix potential buffer overrun in e2fsck when scanning directory blocks
    in pass 2. (Addresses Google Bug: #158564737)
  * Fix tune2fs so that it unlocks the MMP block if it can't perform the
    requested operation.
  * Fix mke2fs so it can import the contents of a directory using the -d
    option when it has inode numbers that are greater than 2**32.   Also
    fix an omission where the extended attributes on the top-level directory
    was not getting copied to the root directory.
  * Fix e4crypt so that the add_key operation uses the explicitly provided
    salt if it is provided.
  * Fix resize2fs to prevent it from overflowing the block group descriptors
    from overflowing the first block group.  (This can only happen when the
    block size is 1k and the file system is very large.)
  * Fix debugfs's set_super_value command so it can set 64-bit integer
    fields, such as s_kbytes_written.
  * Fix filefrag so that it won't crash if the kernel returns zero for
    statfs(2)'s device id or if it returns a blocksize of zero the device's
    blocksize.
  * Fix a few bad error code returns in the unix and sparse I/O managers.
  * E2fsck will no longer try to fix duplicate file names in an encrypted
    directory by mutating the encrypted file name.
  * Updated and clarified various man pages.
  * Update the Dutch, Malay, and Serbian translations from the translation
    project.
  * Update the Debian policy compliance to 4.5.1

 -- Theodore Y. Ts'o <tytso@mit.edu>  Fri, 29 Jan 2021 00:19:52 -0500

e2fsprogs (1.45.6-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 May 2020 14:47:58 -0700

e2fsprogs (1.45.6-1) unstable; urgency=medium

  * New upstream release
  * Fixed a number of potential out of bounds memory accesses caused by
    fuzzed / malicious file systems.
  * Fix a spurious complaint from e2fsck when a directory which previously
    had more than 32000 subdirectories has the number of subdirectories
    drops below 32000.
  * Improve e2fsck's ability to deal with file systems with a *very* large
    number of directories.
  * Debugfs will ignore lines in its command files which start with a
    comment character ("#").
  * Fix debugfs so it correctly prints inode numbers > 2**31.
  * Filefrag now supports very large files (with > 4 billion blocks), as
    well as block sizes up to 1 GiB.
  * Mke2fs -d now correctly sets permission with files where the owner
    permissions are not rwx.
  * Updated and clarified various man pages
    (Closes: #953493, #953494, #951808)
  * Drop as unneeded libattr1-dev as a build dependency (Closes: #953926)
  * Update the Malay translation from the translation project.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Fri, 20 Mar 2020 23:49:33 -0400

e2fsprogs (1.45.5-2ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.
  * Dropped changes, included upstream:
    - debian/patches/CVE-2019-5188-*.patch:  abort if there is a corrupted
      directory block when rehashing and don't try to rehash a deleted directory
      in e2fsck/rehash.c, e2fsck/pass1b.c.
    - debian/patches/CVE-2019-5094.patch: add checks to prevent
      buffer overrun in quota code in lib/support/quotaio_tree.c,
      lib/support/quotaio_v2.c, lib/support/mkquota.c.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 22:08:18 -0800

e2fsprogs (1.45.5-2) unstable; urgency=medium

  * Fix com_err support on Hurd, which has POSIX E* error code starting at
    0x40000000.  Otherwise the regression tests will fail since the
    expected output for various error cases will not have the correct
    error text.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 08 Jan 2020 15:58:44 -0500

e2fsprogs (1.45.5-1) unstable; urgency=medium

  * New upstream release
  * E2fsck will no longer force a full file system check if time-based
    forced checks are disabled and the last mount time or last write time in
    the superblock are in the future.
  * Fix spurious weekly e-mails when e2scrub_all is run via a cron job
    on non-systemd systems.  (Closes: #944033)
  * Remove an unnecessary sleep in e2scrub which could add up to an
    additional two second delay during the boot up.  Also, avoid
    trying to reap aborted snapshots if it has been disabled via
    e2scrub.conf.  (Closes: #948193)
  * Resize2fs -M's estimates are now more accurate on mounted file systems.
  * Tune2fs prohibits enabling or disabling the uninit_bg feature on
    mounted file systems, since this is unsafe.
  * Fix support of 32-bit uid's and gid's in fuse2fs and in mke2fs -d.
  * Fix mke2fs's setting bad blocks to bigalloc file systems.
  * Fix a bug where fuse2fs would incorrectly report the i_blocks fields for
    bigalloc file systems.
  * Fix potential crash in e2fsck when rebuilding very large directories on
    file systems which have the new large_dir feature enable.
  * Fix FTBFS problem hurd/i386. (Closes: #944649)
  * Fix CVE-2019-5188: potential a out of bounds write in mutate_name()
    when checking a maliciously corrupted file systems
  * Add autopkgtest tests smoke and fuse2fs
  * Updated and clarified various man pages
  * Update the debhelper compatibility level to 12
  * Update the Chinese and Malay translations
  * Update the Debian policy compliance to 4.4.1

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 07 Jan 2020 09:18:39 -0500

e2fsprogs (1.46~WIP.2019.10.09-1) experimental; urgency=medium

  * Add (minimal) support to enable the fast commit feature.  This is just
    enough to enable kernel development work; e2fsck replay of journals
    with the fast commit feature is *not* available.
  * E2fsck will now check encryption policies for consistency

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 09 Oct 2019 20:22:50 -0400

e2fsprogs (1.45.4-1) unstable; urgency=medium

  * New upstream feature
  * Fix CVE-2019-5094: A maliciously corrupted file systems can trigger
    buffer overruns in the quota code used by e2fsck.
  * E2fsck will now check to make sure the casefold flag is only set on
    directories, and only when the casefold feature is enabled.
  * E2fsck will not disable the low dtime checks when using a backup
    superblock where the last mount time is zero to fix a failure in
    xfstests ext4/007
  * Fix e2fsck so that when it needs to recreate the root directory, the
    quota counts are correctly updated
  * Update the man pages to document the new fsverity feature, and improve
    the documentation for the casefold and encrypt features
  * Allow e2scrub_all to work when the VG free space is exactly the
    snapshot size (Closes: #935009)
  * Avoid spurious lvm warnings when e2scrub_all is run out of cron on
    non-systemd systems (Closes: #940240)
  * Update the Dutch, German, Malay, Spanish, and Vietnamese translations

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 23 Sep 2019 15:31:27 -0400

e2fsprogs (1.45.3-4ubuntu3) focal; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write
    - debian/patches/CVE-2019-5188-*.patch:  abort if there is a corrupted
      directory block when rehashing and don't try to rehash a deleted directory
      in e2fsck/rehash.c, e2fsck/pass1b.c.
    - CVE-2019-5188

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 22 Jan 2020 12:01:15 -0300

e2fsprogs (1.45.3-4ubuntu2) eoan; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write on the heap
    - debian/patches/CVE-2019-5094.patch: add checks to prevent
      buffer overrun in quota code in lib/support/quotaio_tree.c,
      lib/support/quotaio_v2.c, lib/support/mkquota.c.
    - CVE-2019-5094

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 30 Sep 2019 14:57:59 -0300

e2fsprogs (1.45.3-4ubuntu1) eoan; urgency=medium

  * Merge with Debian testing, remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 08 Sep 2019 04:12:08 -0600

e2fsprogs (1.45.3-4) unstable; urgency=medium

  * stop using Link Time Optimization; it breaks reproducible builds
  * skip "make check" if DEB_BUILD_OPTIONS contains nocheck; this is
    needed for some ports builds to complete successfully (Closes: #933247)
  * fix e2fsprogs build problems on non-Linux ports

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 06 Aug 2019 15:22:30 -0400

e2fsprogs (1.45.3-3) unstable; urgency=medium

  * Fix Breaks/Replace dependency for logsave (Closes: #932874)
  * Mark logsave as Multi-Arch: foreign (Closes: #932876)
  * Fix test bug on the x32 architecture (Closes: #932906)
  * Fix FTBFS problem on FreeBSD and Hurd since they don't have systemd
  * Fix blhc problem when running "make check"

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 25 Jul 2019 15:35:01 -0400

e2fsprogs (1.45.3-2) unstable; urgency=medium

  * Add a hard dependency on logsave to e2fsprogs to fix initramfs issues
    (Closes: #932855, #932859, #932861, #932881, #932888)
  * Add check in e2scrub_all.cron so that it doesn't fail if the package
    is removed, since e2scrub_all.cron is marked as a config file.
    (Closes: #932622)
  * Update the Debian policy compliance to 4.4.0
  * Update Czech, French, German, Polish, Portuguese, Swedish, and
    Ukrainian translations

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 24 Jul 2019 12:56:52 -0400

e2fsprogs (1.45.3-1) unstable; urgency=medium

  * New upstream version
  * Automatic online file system scrubs is now disabled by default.
    They can be enabled by editing /etc/e2scrub.conf.
  * fuse2fs is now installed in /usr/bin instead of /usr/sbin
  * Fix fuse2fs compatibility with fuse3; but specifying the
    nonempty option may be necessary if fusermount with fuse v2 is in use.
    See NEWS.gz for more details.
  * Fixed e2fsck support of file systems using large_dir and inline
    directories at the same time.
  * Fixed a bug in e2scrub_all so it correctly handles an LUKS volume
    stacked on top of an LV.  (Closes: #931387)
  * Fixed a bug in e2scrub_all so it correctly specifies the volumes to
    clean up when using "e2scrub_all -r".   (Closes: #931679)
  * Fixed improper use of positional markers in the Czech, Dutch,
    German, and Vietnamese translations.  (Closes: #892173)
  * Remove ancient special-case CFLAGS for Alpha and Powermac platforms
  * Drop packaging support for Debian Jessie
  * Use the same build tree for the e2fsprogs udeb package
  * Restructure rules file to use dh
  * Only require the udev, systemd, and cron build dependencies when
    building on Linux. (Closes: #931266)
  * Move logsave to its own package.  (Closes: #923372)
  * Update the Czech and Dutch translations

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 14 Jul 2019 21:01:11 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog logsave`.
